{% extends "wiki.html" %}
{% load static icon %}

{% block footer_javascript %}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>
    <script type="text/javascript" src="{% static 'documentation/js/display_all.js' %}?v=2"></script>
{% endblock %}

{% block header %}
    <header>
        <h1>Wiki</h1>
        <div class="header-content">
            <p>Depuis cette page, vous accès à différentes ressources liées à la vie de l'association ainsi qu'à
                l'utilisation de ce site.</p>
            {% if request.user.is_staff %}
                <button role="button" class="btn btn-outline-dark"
                        onclick="window.location.href='{% url 'ajout_document' %}'">
                        <i class="fas fa-plus-circle"></i> Ajouter un document
                </button>
                <button role="button" class="btn btn-outline-dark"
                        onclick="window.location.href='{% url 'gestion_categories' %}'"><i
                        class="fas fa-file"></i> Gérer les catégories
                </button>
                <button role="button" class="btn btn-primary"
                        onclick="window.location.href='{% url 'telechargement_zip' %}'"><i
                        class="fas fa-download"></i> Télécharger tous les documents
                </button>
            {% endif %}
        </div>
    </header>
{% endblock %}

{% block content %}
    {% regroup documents by categorie as categorie_list %}

    <div class="container">
        <div class="main">
            {% for categorie in categorie_list %}
                {% if categorie.grouper %}
                    {% if request.user.is_staff or categorie.grouper.full_permission_name in perms %}
                        <div class="card" style="margin: 1em 0 1em 0">
                            <a class="card-header switch" data-toggle="collapse" data-target="#{{ categorie.grouper }}"><i
                                    class="fas fa-angle-right"></i> {{ categorie.grouper }}</a>

                            <ul id="{{ categorie.grouper }}" class="collapse list-group list-group-flush">
                                {% for document in categorie.list %}
                                    <li class="list-group-item">
                                        <a href="{% url 'document' document.id %}">{{ document.titre }}</a>
                                        <a href="{% url 'telechargement_document_pdf' document.id %}"><i
                                                class="fas fa-file-pdf"></i></a>
                                        <a href="{% url 'telechargement_document_markdown' document.id %}"><i
                                                class="fab fa-markdown"></i></a>
                                        {% if request.user.is_staff %}
                                            <a href="{% url 'modification_document' document.id %}"><i
                                                    class="fas fa-edit"></i></a>
                                            <a href="{% url 'suppression_document' document.id %}"
                                               class="delete" data-toggle="confirmation"
                                               data-btn-ok-label="Oui"
                                               data-btn-cancel-label="Non" data-btn-cancel-class="btn-danger"
                                               data-title="Êtes-vous sûr? Cette action est irréversible!">
                                                <i class="fas fa-trash"></i>
                                            </a>
                                        {% endif %}
                                    </li>
                                {% endfor %}
                            </ul>
                        </div>
                    {% endif %}
                {% else %}
                    <div class="card" style="margin: 1em 0 1em 0">
                        <div class="card-header">Autres</div>
                        <ul class="list-group list-group-flush">
                            {% for document in categorie.list %}
                                <li class="list-group-item">
                                    <a href="{% url 'document' document.id %}">{{ document.titre }}</a>
                                    <a href="{% url 'telechargement_document_pdf' document.id %}"><i
                                            class="fas fa-file-pdf"></i></a>
                                    <a href="{% url 'telechargement_document_markdown' document.id %}"><i
                                            class="fab fa-markdown"></i></a>
                                    {% if request.user.is_staff %}
                                        <a href="{% url 'modification_document' document.id %}"><i
                                                class="fas fa-edit"></i></a>
                                        <a href="{% url 'suppression_document' document.id %}"><i class="fas fa-trash"></i></a>
                                    {% endif %}
                                </li>
                            {% endfor %}
                        </ul>
                    </div>
                {% endif %}
            {% empty %}
                <p>Le wiki est vide. Il y a certainement un problème.</p>
            {% endfor %}
        </div>
    </div>
{% endblock %}